


/* PLAYER

.player {
  display: flex;
  align-items: center;
  width: 100%;
  max-width: 720px;
  height: 50px;
  font-family: "Times New Roman", Times, serif;
}

.play-btn {
  width: 44px;
  height: 44px;
  margin-right: -1px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.play-btn img {
  height: 100%;
  width: 25px;
  object-fit: contain;
}

.bar {
  position: relative;
  flex: 1;
  height: 26px;
  border-radius: 5px;
  background: #ffffff;
  border: 1px solid #d6d6d6;
  box-shadow: 0 1px 2px rgba(0,0,0,0.08);
  overflow: hidden;
}

.progress {
  position: absolute;
  height: 100%;
  width: 0%;
  background: #3FA9F5;
  border-radius: 5px;

}

.title {
  position: absolute;
  left: 13px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 21px;
  color: black;
  pointer-events: none;
}
*/

/* HEADER */

nav a.active {
  color: #FFCF46; 
}


/* TITRE CLIQUABLE */

.project-title {
  cursor: pointer;
  user-select: none;
  color: black;
  font-family: 'Pinyon Script', cursive;
  font-size: 46px;
  margin-bottom: 1rem;
  transition: 0.3s;

    position: relative;
  display: block; /* 🔥 clé principale */
  width: 100%;    /* 🔥 évite qu'il prenne toute la ligne */
  z-index: 1;
   overflow: visible;
   line-height: 1.2;
}

/* le texte uniquement */
.project-title span {
  position: relative;
  display: inline-block; /* 🔥 important */
  z-index: 1;
  overflow: visible;
  transform: translateZ(0);

  transform: translateY(4px);
  will-change: transform;
  white-space: nowrap;
}

.project-title span::before {
  content: "";
  position: absolute;
  inset: 0;

  transform: scale(1.5, 1.2);
  border-radius: 50%;
  filter: blur(25px);
  
  opacity: 0;
  z-index: -1;
  
  transition: 1s ease;

  overflow: visible;
}

  .project-title span::after {
  content: "";
  position: absolute;
  inset: -20px 0; /* 🔥 espace vertical uniquement */
  z-index: -2;

}



.project-title.active span::before {
  opacity: 0.8;
}

.project-title.active span {
  color: white;
  transition: 0.5s ease;
}


.project-title[data-project="gallery"] span::before {
  background: #A045EB;
}

.project-title[data-project="friends"] span::before {
  background: #DD7725;
}

.project-title[data-project="links"] span::before {
  background: #5ECE02;
}




.project-title[data-project="mix"] span::before {
  background: #4ca740;
}






/* CONTENU */

.project-content {
  display: none;
  margin-top: 1.5rem;
  align-items: flex-start;
  gap: 2rem;
  margin-top: 5rem;
}

.project-content#gallery img {
  width: 60%;
  height: auto;
  display: block;
}


.project-content.active {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  align-items: center;
  margin-top: 7rem;
}

/* LAYOUT 2 COLONNES */

.music-layout {
  display: flex;
  gap: 4rem;
  margin-top: 5rem;
}

.project-list {
  list-style: none; /* enlève les puces */
  padding: 0;       /* enlève le décalage à gauche */
  margin-top: 5rem;
  margin-left: 5rem;
  flex-shrink: 0;
}

.project-contents {
  flex: 1;
}


.project-text-title {
  flex: 1;
  max-width: 800px;
  text-align: center;
}



.project-text-title p {
  font-family: 'Inter', sans-serif;
  font-size: 1.3rem;
  line-height: 1.1;
  margin-bottom: 1.5rem;
  margin-top: 1.6rem;
  max-width: 900px;
  text-align: center;
  text-transform: uppercase;
}

.project-text-subtitle p {
  font-family: 'Inter', sans-serif;
  font-size: 2rem;
  line-height: 1.1;
  max-width: 800px;
  color: white;
  text-align: center;
  font-weight: bold;
}



/* IFRAME */

.project iframe {
  width: 100%;
  max-width: 800px;
  height: 120px;
  border: none;
}





.project-row {
  display: flex;
  align-items: flex-start;
  gap: 2rem;
}

.project-image {
  flex: 0 0 400px; /* largeur fixe image */
}

.project-image img {
  width: 100%;
  height: auto;
  display: block;
}

.project-text {
  flex: 1; /* prend le reste */
  max-width: 400px;
   font-family: 'Inter', sans-serif;
   font-size: 1.2rem;
   align-items: center;
     line-height: 1.2;














